@charset "utf-8";

/* font */
@import url("https://fonts.googleapis.com/css2?family=Kosugi+Maru&family=Noto+Serif+JP:wght@200..900&family=Zen+Kaku+Gothic+New:wght@400;900&display=swap");

* {
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}

html {
  margin: 0px;
  padding: 0px;
  min-height: 100%;
  height: 100%;
  overflow-y: scroll;
}

@media screen and (max-width: 768px) {
  html {
    font-size: 1vw;
  }
}

@media screen and (min-width: 768.1px) and (max-width: 960px) {
  html {
    font-size: 1vw;
  }
}

@media screen and (min-width: 960.1px) and (max-width: 1152px) {
  html {
    font-size: 0.8vw;
  }
}

@media screen and (min-width: 1152.1px) {
  html {
    font-size: 8px;
  }
}

body {
  margin: 0;
  padding: 0;
  font-family: "Kosugi Maru", "Helvetica Neue", Arial,
    "Hiragino Kaku Gothic ProN", "Hiragino Sans", Meiryo, sans-serif;
  background-color: #000;
  background: radial-gradient(
      ellipse at 100% 100%,
      rgb(7 0 31 / 12%),
      rgb(68 34 255 / 6%),
      transparent
    ),
    linear-gradient(to bottom right, #0f1b1b, #141726, #37172f, #082c36);
  height: 100vh;
  background-attachment: fixed;
}

body > #mainbox {
  height: auto;
}

header #link-top,
footer .logo {
  position: relative;
  margin: 0px;
  padding: 0px;
  width: 210px;
  height: auto !important;
  background: url("/css/img/logo.png");
  background-size: cover;
  background-repeat: no-repeat;
}
header #link-top::before,
footer .logo::before {
  content: "";
  display: block;
  padding-top: 32.9931972789%;
}

header #link-top a,
footer .logo a {
  position: absolute;
  top: 0;
  left: 0;
  margin: 0;
  padding: 0;
  display: block;
  width: 100%;
  height: 100%;
  text-indent: 100%;
  white-space: nowrap;
  overflow: hidden;
}

header {
  position: relative;
  min-height: 110px;
  margin: 0px auto;
  padding: 0px auto;
  color: #fff;
  background-size: auto auto;
  background-color: rgba(0, 0, 0, 1);
  background-image: repeating-linear-gradient(
    135deg,
    transparent,
    transparent 10px,
    #ff0038 10px,
    #ff0038 20px
  );
  border-bottom: 5px solid #ff0038;
}

header .header-wrapper {
  width: 100%;
  margin: 0px auto;
  text-align: center;
}

header .header-menu {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  align-items: center;
  max-width: 850px;
  min-height: 110px;
  margin: 0px auto;
  padding: 0px;
}

header .header-menu li {
  margin: 0px;
  padding: 0px;
  list-style: none;
}

header .header-menu #link-top:hover {
  filter: brightness(140%) drop-shadow(0 0 20px rgba(255, 255, 255, 1));
}

header .menu-item {
  position: relative;
  top: 0px;
  width: 100px;
  height: 100px;
  margin: 0px auto;
  padding: 0px auto;
  background-size: cover;
}

header .header-menu .menu-item:hover {
  filter: brightness(140%) drop-shadow(0 0 20px rgba(255, 255, 255, 1));
  transform: scale(1.1);
}

header .menu-item a {
  display: block;
  width: 100%;
  height: 100%;
  text-indent: 100%;
  white-space: nowrap;
  overflow: hidden;
}

header .menu-item#link-summary {
  background-image: url(./img/header/link-summary.png);
}

header .menu-item#link-rule {
  background-image: url(./img/header/link-rule.png);
}

header .menu-item#link-chara {
  background-image: url(./img/header/link-chara.png);
}

header .menu-item.comingsoon {
  filter: grayscale(100%);
  pointer-events: none;
}

#mainbox {
  position: relative;
  height: auto;
  max-width: 900px;
  margin: 0 auto;
  padding: 5px 10px;
  text-align: center;
  font-size: 2em;
  background-color: rgba(255, 255, 255, 0.7);
  border-left: 5px solid #ff0038;
  border-right: 5px solid #ff0038;
  overflow: hidden;
}

#mainbox h2 {
  text-align: left;
  vertical-align: middle;
  font-size: 1.5em;
  margin: 0.5em auto;
  background-color: #ff0038;
  border-radius: 30px;
  padding: 10px;
  color: #ffffff;
  text-indent: 0.5%;
}

#mainbox p {
  font-weight: bold;
}

#mainbox #bannerlink {
  overflow: hidden;
  margin: 0px auto;
  padding: 0px auto;
}

#mainbox #bannerlink ul {
  list-style: none;
  text-align: center;
  margin: 0px;
  padding: 0px;
}

#mainbox #bannerlink li {
  display: inline-block;
  margin: 0 10px 10px 0;
}

footer {
  position: relative;
  zoom: 1;
  margin: 0px auto;
  padding: 18px 0px;
  width: 100%;
  font-size: 16px;
  text-align: center;
  color: #4b4b4b;
  min-height: 100px;
  border-top: 5px solid #ff0038;
  background-size: auto auto;
  background-color: rgba(0, 0, 0, 1);
  background-image: repeating-linear-gradient(
    135deg,
    transparent,
    transparent 10px,
    #ff0038 10px,
    #ff0038 20px
  );
  overflow: hidden;
}

footer:after {
  content: ".";
  display: block;
  height: 0;
  clear: both;
  visibility: hidden;
  overflow: hidden;
  /* 隙間対応 */
  font-size: 0.1em;
  /* 隙間対応 */
  line-height: 0;
  /* 隙間対応 */
}

footer .logo {
  text-align: center;
  margin: 0 auto;
}

footer .nav {
  list-style: none;
  margin: 0;
  padding: 0;
}

footer .nav a {
  display: block;
  font-weight: bold;
  margin: 0.5em;
  color: #ff0038;
  background-color: #fff;
  border-radius: 30px;
  padding: 10px 20px;
  text-decoration: none;
  white-space: nowrap;
}

footer .footer-wrapper {
  position: relative;
  max-width: 900px;
  margin: 0px auto;
}

footer .mutual-link {
  overflow: hidden;
  margin: 0px auto;
  padding: 10px;
  list-style: none;
  text-align: center;
}

footer .mutual-link a {
  color: #ffffff;
}

footer .mutual-link li {
  display: inline-block;
  margin: 0 10px 10px 0;
}

footer .copyright {
  display: inline-block;
  margin: 0.5em auto;
  background-color: #fff;
  color: #404040;
  border: 3px solid #ff0038;
  border-radius: 30px;
  padding: 10px 20px;
}

#loading {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  width: 100px;
  height: 100px;
  margin: auto;
  padding: 0 !important;
}

#loading .loader,
#loading .loader:before,
#loading .loader:after {
  background: #ff0038;
  -webkit-animation: load 1s infinite ease-in-out;
  animation: load 1s infinite ease-in-out;
  width: 1em;
  height: 4em;
}

#loading .loader {
  color: #ff0038;
  text-indent: -9999em;
  margin: 88px auto;
  position: relative;
  font-size: 11px;
  -webkit-transform: translateZ(0);
  -ms-transform: translateZ(0);
  transform: translateZ(0);
  -webkit-animation-delay: -0.16s;
  animation-delay: -0.16s;
}

#loading .loader:before,
#loading .loader:after {
  position: absolute;
  top: 0;
  content: "";
}

#loading .loader:before {
  left: -1.5em;
  -webkit-animation-delay: -0.32s;
  animation-delay: -0.32s;
}

#loading .loader:after {
  left: 1.5em;
}

@-webkit-keyframes load {
  0%,
  80%,
  100% {
    box-shadow: 0 0;
    height: 4em;
  }

  40% {
    box-shadow: 0 -2em;
    height: 5em;
  }
}

@keyframes load {
  0%,
  80%,
  100% {
    box-shadow: 0 0;
    height: 4em;
  }

  40% {
    box-shadow: 0 -2em;
    height: 5em;
  }
}

@media only screen and (min-width: 641px) {
  footer .nav {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    flex-wrap: wrap;
    -webkit-flex-wrap: wrap;
    -webkit-box-align: center;
    -webkit-align-items: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -webkit-justify-content: center;
    -ms-flex-pack: center;
    justify-content: center;
    padding: 10px 0;
  }
}

/* smart-phone */
@media all and (max-width: 480px) {
  header .header-menu {
    width: calc(80% - 10px / 2);
    padding: 10px;
  }

  header #link-top {
    width: calc(100% - 10px / 2);
  }

  header .menu-item {
    width: 90px;
    height: 90px;
    margin: 15px 5px !important;
  }

  header .menu-item:after {
    font-size: 6em !important;
  }

  header #newsheadline {
    margin: 1em;
  }

  #mainbox {
    padding-left: 5px;
    padding-right: 5px;
  }

  #mainbox #menubox li {
    width: calc(100% / 3);
  }

  #mainbox #contentsbox {
    font-size: 2em;
    padding: 0.1em 0.3em;
  }

  #mainbox .bannerlink li,
  #mainbox .bannerlink li img {
    width: 100% !important;
    height: auto;
  }

  footer .nav a {
    margin-bottom: 10px;
  }
}

@media screen and (max-width: 400px) {
  header .header-menu {
    width: calc(90% - 10px / 2);
    padding: 10px;
  }
}

@media screen and (max-width: 280px) {
  header .header-menu {
    width: 100%;
  }

  header .menu-item {
    width: 75px;
    height: 75px;
  }
}
